<template>
  <StyledContactForm>
    <a-form
      :form="form"
      :label-col="{ span: 5 }"
      :wrapper-col="{ span: 15 }"
      @submit="handleSubmit"
    >
      <a-form-item label="Nome">
        <a-input
          v-decorator="[
            'note',
            { rules: [{ required: true, message: 'Please input your note!' }] },
          ]"
        />
      </a-form-item>
    <a-form-item v-bind="formItemLayout" label="E-mail">
      <a-input
        v-decorator="[
          'email',
          {
            rules: [
              {
                type: 'email',
                message: 'O e-mail não é válido!',
              },
              {
                required: true,
                message: 'Por favor coloque o seu e-mail!',
              },
            ],
          },
        ]"
      />
    </a-form-item>
      <a-form-item label="Mensagem">
        <a-textarea placeholder="Envie sua mensagem" allow-clear @change="onChange" />
      </a-form-item>
      <a-form-item :wrapper-col="{ span: 15, offset: 5 }">
        <a-button type="primary" html-type="submit"> Enviar </a-button>
      </a-form-item>
    </a-form>
  </StyledContactForm>
</template>

<script lang="ts">
import StyledContactForm from '../../../styles/Molecules/MoleculeContactForm/MoleculeContactForm';

export default {
  name: 'OrganismHeader',

  components: { StyledContactForm },
};
</script>
